cURL
curl --request PATCH \
--url https://api.puretalk.ai/api/ai-assistants/{assistant_id} \
--header 'Content-Type: application/json' \
--header 'X-API-KEY: <api-key>' \
--data '
{
"name": "<string>",
"voice": 123,
"prompt": "<string>",
"begin_message": "<string>",
"who_speaks_first": "assistant",
"model": "puretalk-plg",
"call_recording_enabled": true,
"assistant_type": "single_prompt",
"avatar": "<string>",
"custom_knowledge_base": "<string>",
"timezone": "<string>",
"reminder_message_frequency": 123,
"max_reminder_messages": 123,
"voice_stability": "<string>",
"voice_clarity_similarity": "<string>",
"voice_stream_latency_optimization": 123,
"voice_boost": false,
"chatbot_logo": "<string>",
"chatbot_accent_color": "<string>",
"chatbot_faq": "<string>"
}
'import requests
url = "https://api.puretalk.ai/api/ai-assistants/{assistant_id}"
payload = {
"name": "<string>",
"voice": 123,
"prompt": "<string>",
"begin_message": "<string>",
"who_speaks_first": "assistant",
"model": "puretalk-plg",
"call_recording_enabled": True,
"assistant_type": "single_prompt",
"avatar": "<string>",
"custom_knowledge_base": "<string>",
"timezone": "<string>",
"reminder_message_frequency": 123,
"max_reminder_messages": 123,
"voice_stability": "<string>",
"voice_clarity_similarity": "<string>",
"voice_stream_latency_optimization": 123,
"voice_boost": False,
"chatbot_logo": "<string>",
"chatbot_accent_color": "<string>",
"chatbot_faq": "<string>"
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: '<string>',
voice: 123,
prompt: '<string>',
begin_message: '<string>',
who_speaks_first: 'assistant',
model: 'puretalk-plg',
call_recording_enabled: true,
assistant_type: 'single_prompt',
avatar: '<string>',
custom_knowledge_base: '<string>',
timezone: '<string>',
reminder_message_frequency: 123,
max_reminder_messages: 123,
voice_stability: '<string>',
voice_clarity_similarity: '<string>',
voice_stream_latency_optimization: 123,
voice_boost: false,
chatbot_logo: '<string>',
chatbot_accent_color: '<string>',
chatbot_faq: '<string>'
})
};
fetch('https://api.puretalk.ai/api/ai-assistants/{assistant_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"msg": "<string>",
"err": true,
"results": {
"assistant_id": "123e4567-e89b-12d3-a456-426614174000",
"name": "My AI Assistant",
"prompt": "Hello, how are you?",
"model": "gpt-3.5-turbo",
"who_speaks_first": "assistant",
"begin_message": "Hello, how are you?",
"assistant_type": "single_prompt",
"avatar": "<string>",
"custom_knowledge_base": "<string>",
"timezone": "<string>",
"voice_stability": 0.5,
"voice_clarity_similarity": 0.5,
"voice_stream_latency_optimization": 2,
"voice_boost": false,
"voice_speed": 0,
"voice_emotion": [],
"call_recording_enabled": true,
"reminder_message_frequency": 1,
"max_reminder_messages": 1,
"post_analysis": "<string>",
"chatbot_logo": "<string>",
"chatbot_accent_color": "<string>",
"chatbot_faq": "<string>",
"chatbot_whitelisted_domains": [
"<string>"
],
"chatbot_begin_message": "<string>",
"tools": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z",
"behavior": 1,
"user": {
"name": "<string>",
"dp": "<string>",
"email": "[email protected]"
},
"voice": {
"voice_id": "<string>",
"name": "<string>",
"avatar": "<string>",
"gender": "<string>",
"demo_audio_url": "<string>",
"is_cloned": true,
"language": "<string>",
"description": "<string>"
}
}
}{
"err": true,
"msg": "<string>"
}AI Assistants
Update Assistant
Update an AI Assistant based on the ID supplied
PATCH
/
ai-assistants
/
{assistant_id}
cURL
Authorizations
Authorization header containing API key. You can find your API key in the dashboard under 'API Keys'.
Path Parameters
ID of AI Assistant to update
Body
application/json
- Option 1
- Option 2
Available options:
assistant Available options:
puretalk-plg Available options:
single_prompt, multi_prompt Was this page helpful?
⌘I